Unit tzf13e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF13D_p, ZF13E_p;

function tzf13e: String; 

implementation

function tzf13e: String;
var
NDIG,ITMAX,N,_i,IERR :Integer;
EPS,EPS1,EPS2 :Extended;
ROOT :Array [0..1] of Extended;
begin
Result := '';
NDIG := 5;
EPS1 := 0.00001e0;
ITMAX := 100;
EPS := 0.00001e0;
EPS2 := 0.01e0;
ROOT[0] := 4.6e0;
ROOT[1] := -193.3e0;
N := 2;
ZF13E(FZF13D,N,EPS,NDIG,EPS1,EPS2,ROOT,ITMAX,IERR);
Result := Result + Format(' %5d %24.14f %24.14f %24.14f  %5d %5d %5d',
[N,EPS,EPS1,EPS2,NDIG,ITMAX,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%24.14f ',[ROOT[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzf13e',Result);  //    tzf13e.res
exit;
end;

end.
